body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 8px;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 20px;
}

.header-left h1 {
    margin: 0;
    color: #124191; /* Nokia blue or similar */
    font-family: Trebuchet MS, Arial, Helvetica, sans-serif;
    font-size: 22px;
    color: #124191;
}

.logo {
    height: 30px; /* Adjust logo size as needed */
}

.blue-line {
    border: none;
    border-top: 8px solid #124191; /* Blue line color */
    margin: 0;
}

.form-container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-grow: 1;
    padding: 20px;
}

form {
    width: 100%;
    max-width: 500px; /* Limits form width to center content */
}

.form-group {
    display: flex;
    align-items: center;
    margin-bottom: 15px;
}

.form-group label {
    flex: 1;
    text-align: right;
    margin-right: 15px;
}

.form-group input, .form-group select, .form-group textarea {
    flex: 2;
    padding: 8px;
    box-sizing: border-box;
}

/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
}

.form-group-vertical label {
    display: block;
    margin-bottom: 5px;
}

.form-group-vertical textarea {
    width: 100%;
    padding: 8px;
    box-sizing: border-box;
}

.form-buttons {
    display: flex;
    justify-content: center;
    gap: 10px;
    margin-top: 20px;
}

button {
    padding: 10px 15px;
    cursor: pointer;
}

.no-copy {
    user-select: none; /* Standard syntax */
    -webkit-user-select: none; /* Safari */
    -moz-user-select: none; /* Firefox */
    -ms-user-select: none; /* IE10+ */
    cursor: default;
    font-weight: bold;
    color: #ff0000; /* Make it stand out */
    padding: 8px;
    border: 1px solid #ccc;
    background-color: #f9f9f9;
    flex: 2;
}

footer {
    text-align: center;
    padding: 10px 0;
    font-size: 0.8em;
    color: #555;
}

